<?php

namespace Alive\Dm;

function init_autoloading() {
    spl_autoload_register(function ($class) {
        if (strpos($class, 'Alive\\Dm') === 0) {
            $class =
                str_replace(
                    'Alive\\Dm\\',
                    '',
                    str_replace(
                        '_',
                        '-',
                        $class
                    )
                );
            include_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'class-' . strtolower($class) . '.php');
        }
    });
}

function init_translating() {
    add_action('init', 'Alive\Dm\load_pos');
}

function load_pos() {
    load_plugin_textdomain(
        'alive-dm-plugin',
        false,
        basename(dirname(__FILE__)) . DIRECTORY_SEPARATOR . 'languages' . DIRECTORY_SEPARATOR
    );
}

function register_uninstall() {
    register_uninstall_hook(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'uninstall.php', '');
}

function is_decimal($val) {
    return is_numeric($val) && floor($val) == $val;
}
